%define upstream_name	 Net-Dict
%define upstream_version 2.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A perl client for accessing network dictionary servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig::Std)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::Cmd)
BuildRequires: perl(Test::Differences) >= 0.620.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::RequiresInternet) >= 0.50.0
BuildArch:  noarch

# mga#5816, upstream rt#77106
# this should be removed once upstream is fixed
Requires:   perl(AppConfig::Std)
# both packages provide /usr/bin/dict
Conflicts:	dictd-client

%description
Net::Dict is a perl class for looking up words and their definitions on network
dictionary servers. It provides a simple client API for the DICT network
protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net/*
%{_mandir}/*/*
%{_bindir}/dict
%{_bindir}/tkdict

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.210.0-4.mga8
+ Revision: 1495865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.210.0-3.mga7
+ Revision: 1269899
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.210.0-2.mga6
+ Revision: 1031059
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.210.0-1.mga6
+ Revision: 1002227
- New version 2.21

* Thu Feb 18 2016 umeabot <umeabot> 2.190.0-2.mga6
+ Revision: 966094
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 2.190.0-1.mga6
+ Revision: 840066
- update to 2.19

* Sat Oct 18 2014 umeabot <umeabot> 2.180.0-4.mga5
+ Revision: 788173
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.180.0-3.mga5
+ Revision: 741505
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.180.0-2.mga5
+ Revision: 685644
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 jquelin <jquelin> 2.180.0-1.mga5
+ Revision: 640243
- update to 2.18

* Tue May 06 2014 jquelin <jquelin> 2.170.0-1.mga5
+ Revision: 620710
- update to 2.17

* Tue Apr 15 2014 jquelin <jquelin> 2.150.0-1.mga5
+ Revision: 614911
- update to 2.15

* Sat Feb 08 2014 sander85 <sander85> 2.130.0-1.mga5
+ Revision: 586642
- update to 2.13

* Sat Oct 19 2013 umeabot <umeabot> 2.100.0-2.mga4
+ Revision: 530298
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.100.0-1.mga4
+ Revision: 457090
- update to 2.10

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-3.mga3
+ Revision: 370572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 10 2012 jquelin <jquelin> 2.90.0-2.mga2
+ Revision: 235057
- adding missing requires (mga#5816)

* Mon Dec 19 2011 jquelin <jquelin> 2.90.0-1.mga2
+ Revision: 184205
- update to 2.09
- update to 2.08

* Thu Jan 20 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 26690
- mageia rebuild
- imported package perl-Net-Dict


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.70.0-1mdv2010.0
+ Revision: 407811
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.07-7mdv2009.0
+ Revision: 258008
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.07-6mdv2009.0
+ Revision: 246061
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.07-4mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2.07-4mdv2008.0
+ Revision: 25292
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.07-3mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.07-2mdk
- Rebuild
- Disable tests, obsolete

* Wed Sep 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.07-1mdk
- Initial MDK release.

